# Class default

- Defined in src/ui/pokemon-icon-anim-handler.ts:12

#####
Index

### Constructors

constructor

### Properties

icons
toggled

### Methods

addOrUpdate
getModeYDelta
remove
removeAll
setup

## Constructors

### constructor

- new default(): default

- #### Returns default

## Properties

### `Private` icons

icons: Map<PokemonIcon, PokemonIconAnimMode >

- Defined in src/ui/pokemon-icon-anim-handler.ts:13

### `Private` toggled

toggled: boolean

- Defined in src/ui/pokemon-icon-anim-handler.ts:14

## Methods

### addOrUpdate

- addOrUpdate(icons, mode): void

- #### Parameters

  - icons: PokemonIcon | PokemonIcon[]
  - mode: PokemonIconAnimMode

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:49

### getModeYDelta

- getModeYDelta(mode): number

- #### Parameters

  - mode: PokemonIconAnimMode

  #### Returns number

  - Defined in src/ui/pokemon-icon-anim-handler.ts:38

### remove

- remove(icons): void

- #### Parameters

  - icons: PokemonIcon | PokemonIcon[]

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:68

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:80

### setup

- setup(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:16